module PDFService
  class Config
    def initialize(logger: Logger.new(STDOUT), tmp_path: '.')
      @logger = logger
      @tmp_path = tmp_path
    end
    attr_reader :logger
    attr_reader :tmp_path

    class << self
      def [](value)
        return value if value.kind_of?(self)
        new(value.to_h)
      end
    end
  end
end