require 'logger'

module PDFService
  module Utils
    class NullLogger
      def initialize(*args)
        @level = Logger::WARN
      end

      attr_accessor :level

      [:warn, :info, :error, :fatal, :debug].each do |level|
        define_method("#{level}") { |*args|}
      end
    end
  end
end